<?php

/**
 * Class that operate on table 'buyandruternbillcurr'. Database Mysql.
 *
 * @author: http://phpdao.com
 * @date: 2021-12-27 23:59
 */
class BuyandruternbillcurrMySqlExtDAO extends BuyandruternbillcurrMySqlDAO {

    public function updateSaveConversionFactor($saveConversionFactor, $id) {
        $sql = 'UPDATE buyandruternbillcurr SET saveConversionFactor = ' . $saveConversionFactor . ' WHERE id = ' . $id;
        $sqlQuery = new SqlQuery($sql);
        return $this->executeUpdate($sqlQuery);
    }

    public function queryOneByBuybillid($value) {
        $sql = 'SELECT * FROM buyandruternbillcurr WHERE buybillid = ?';
        $sqlQuery = new SqlQuery($sql);
        $sqlQuery->setNumber($value);
        return $this->getRow($sqlQuery);
    }

}

?>